Description: Increase rabbitmq cli timeout
 The new version of rabbitmq is taking much longer to reply, which often
 goes below the timeout of 10 seconds, resulting in the rabbitmq puppet
 providers to just fail. Increasing to 20 seconds just fixes it for me.
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2021-01-21

Index: puppet-module-puppetlabs-rabbitmq/lib/puppet/provider/rabbitmq_cli.rb
===================================================================
--- puppet-module-puppetlabs-rabbitmq.orig/lib/puppet/provider/rabbitmq_cli.rb
+++ puppet-module-puppetlabs-rabbitmq/lib/puppet/provider/rabbitmq_cli.rb
@@ -57,7 +57,7 @@ class Puppet::Provider::RabbitmqCli < Pu
   # Limit each query time by 'timeout'.
   # For example:
   #   users = self.class.run_with_retries { rabbitmqctl 'list_users' }
-  def self.run_with_retries(count = 30, step = 6, timeout = 10)
+  def self.run_with_retries(count = 30, step = 6, timeout = 20)
     count.times do |_n|
       begin
         output = Timeout.timeout(timeout) do
